## ros-humble-parameter-traits 0.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(parameter_traits)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(fmt REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rsl REQUIRED)
find_package(tcb_span REQUIRED)
find_package(tl_expected REQUIRED)

add_library(parameter_traits INTERFACE)
target_include_directories(parameter_traits INTERFACE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/parameter_traits>)
target_compile_features(parameter_traits INTERFACE cxx_std_17)
target_link_libraries(parameter_traits
  INTERFACE
    fmt::fmt
    rclcpp::rclcpp
    rsl::rsl
    tcb_span::tcb_span
    tl_expected::tl_expected
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following lines skip linters
  set(ament_cmake_cpplint_FOUND TRUE) # Conflicts with clang-foramt
  set(ament_cmake_uncrustify_FOUND TRUE) # Conflicts with clang-format
  ament_lint_auto_find_test_dependencies()
endif()

install(
  DIRECTORY include/
  DESTINATION include/parameter_traits
)

install(
  TARGETS parameter_traits
  EXPORT export_parameter_traits
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(export_parameter_traits HAS_LIBRARY_TARGET)
ament_export_dependencies(fmt rclcpp rsl tcb_span tl_expected)
ament_package()

=== debian/changelog ===
ros-humble-parameter-traits (0.3.6-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Mon, 31 Jul 2023 06:00:00 -0000

ros-humble-parameter-traits (0.3.5-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Fri, 28 Jul 2023 06:00:00 -0000

ros-humble-parameter-traits (0.3.4-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Mon, 24 Jul 2023 06:00:00 -0000

ros-humble-parameter-traits (0.3.3-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 13 Apr 2023 06:00:00 -0000

ros-humble-parameter-traits (0.3.2-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 12 Apr 2023 06:00:00 -0000

ros-humble-parameter-traits (0.3.1-1jammy) jammy; urgency=high

  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 01 Feb 2023 07:00:00 -0000

ros-humble-parameter-traits (0.3.0-1jammy) jammy; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 15 Nov 2022 07:00:00 -0000

ros-humble-parameter-traits (0.2.8-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 03 Nov 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.7-1jammy) jammy; urgency=high

  * lt/gt/lt_eq/gt_eq validators (#80 <https://github.com/PickNikRobotics/generate_parameter_library/issues/80>)
  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Add missing tcb_span ament export dep (#78 <https://github.com/PickNikRobotics/generate_parameter_library/issues/78>)
  * Contributors: Denis Štogl, Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Fri, 28 Oct 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.6-1jammy) jammy; urgency=high

  * Remove unused member variable (#77 <https://github.com/PickNikRobotics/generate_parameter_library/issues/77>)
  * Depend on tcb_span (#76 <https://github.com/PickNikRobotics/generate_parameter_library/issues/76>)
  * Drop requirement for CMake to 3.16 (#73 <https://github.com/PickNikRobotics/generate_parameter_library/issues/73>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 28 Sep 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.5-1jammy) jammy; urgency=high

  * Test validators and fix bugs (#66 <https://github.com/PickNikRobotics/generate_parameter_library/issues/66>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 20 Sep 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.4-1jammy) jammy; urgency=high

  * 0.2.3
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Fri, 19 Aug 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.3-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Fri, 05 Aug 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.2-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 03 Aug 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.1-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 02 Aug 2022 06:00:00 -0000

ros-humble-parameter-traits (0.2.0-1jammy) jammy; urgency=high

  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Move fixed size string to parameter traits (#42 <https://github.com/PickNikRobotics/generate_parameter_library/issues/42>)
  * static OK to fix ODR errors (#41 <https://github.com/PickNikRobotics/generate_parameter_library/issues/41>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Mon, 01 Aug 2022 06:00:00 -0000

ros-humble-parameter-traits (0.1.0-1jammy) jammy; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 27 Jul 2022 06:00:00 -0000

=== debian/control ===
Source: ros-humble-parameter-traits
Section: misc
Priority: optional
Maintainer: Tyler Weaver <maybe@tylerjw.dev>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rsl, ros-humble-tcb-span, ros-humble-tl-expected, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-parameter-traits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-humble-rclcpp, ros-humble-rsl, ros-humble-tcb-span, ros-humble-tl-expected, ros-humble-ros-workspace
Description: Functions and types for rclcpp::Parameter

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-parameter-traits//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-parameter-traits 0.3.8

=== debian/changelog ===
ros-humble-parameter-traits (0.3.8-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 26 Mar 2024 16:00:00 -0000

ros-humble-parameter-traits (0.3.7-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 11 Jan 2024 16:00:00 -0000

ros-humble-parameter-traits (0.3.6-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-parameter-traits (0.3.5-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-parameter-traits (0.3.4-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-parameter-traits (0.3.3-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 12 Apr 2023 16:00:00 -0000

ros-humble-parameter-traits (0.3.2-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 11 Apr 2023 16:00:00 -0000

ros-humble-parameter-traits (0.3.1-3bookworm) bookworm; urgency=high

  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 31 Jan 2023 16:00:00 -0000

ros-humble-parameter-traits (0.3.0-3bookworm) bookworm; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.8-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.7-3bookworm) bookworm; urgency=high

  * lt/gt/lt_eq/gt_eq validators (#80 <https://github.com/PickNikRobotics/generate_parameter_library/issues/80>)
  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Add missing tcb_span ament export dep (#78 <https://github.com/PickNikRobotics/generate_parameter_library/issues/78>)
  * Contributors: Denis Štogl, Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.6-3bookworm) bookworm; urgency=high

  * Remove unused member variable (#77 <https://github.com/PickNikRobotics/generate_parameter_library/issues/77>)
  * Depend on tcb_span (#76 <https://github.com/PickNikRobotics/generate_parameter_library/issues/76>)
  * Drop requirement for CMake to 3.16 (#73 <https://github.com/PickNikRobotics/generate_parameter_library/issues/73>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 27 Sep 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.5-3bookworm) bookworm; urgency=high

  * Test validators and fix bugs (#66 <https://github.com/PickNikRobotics/generate_parameter_library/issues/66>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Mon, 19 Sep 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.4-3bookworm) bookworm; urgency=high

  * 0.2.3
  * Contributors: Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 18 Aug 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.3-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.2-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 02 Aug 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.1-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-parameter-traits (0.2.0-3bookworm) bookworm; urgency=high

  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Move fixed size string to parameter traits (#42 <https://github.com/PickNikRobotics/generate_parameter_library/issues/42>)
  * static OK to fix ODR errors (#41 <https://github.com/PickNikRobotics/generate_parameter_library/issues/41>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Tyler Weaver <maybe@tylerjw.dev>  Sun, 31 Jul 2022 16:00:00 -0000

ros-humble-parameter-traits (0.1.0-3bookworm) bookworm; urgency=high



 -- Tyler Weaver <maybe@tylerjw.dev>  Tue, 26 Jul 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-parameter-traits//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-parameter-traits//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-parameter-traits//opt/ros/humble/opt/parameter_traits/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
